%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

Name:           perl-IPC-ShareLite
Version:        0.09
Release:        4
Epoch:          0
Summary:        Light-weight Perl interface to shared memory

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/IPC-ShareLite/
Source0:  http://www.cpan.org/authors/id/M/MA/MAURICE/IPC-ShareLite-0.09.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
IPC::ShareLite provides a simple interface to shared memory, allowing
data to be efficiently communicated between processes.


%prep
%setup -q -n IPC-ShareLite-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%{__perl} -pi -e 's/^\tLD_RUN_PATH=[^\s]+\s*/\t/' Makefile
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorarch}/auto/IPC
%{perl_vendorarch}/IPC
%{_mandir}/man3/*.3*


%changelog
* Fri Jun 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.09-0.fdr.4
- Avoid empty RPATHs.

* Mon May 10 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.09-0.fdr.3
- BuildRequire perl >= 1:5.6.1 for support for vendor installdirs.
- Use pure_install to avoid perllocal.pod workarounds.

* Mon Apr 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.09-0.fdr.2
- Reduce directory ownership bloat.
- Require perl(:MODULE_COMPAT_*).

* Tue Nov 18 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.09-0.fdr.1
- First build.
